Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
mfdefs.cpp File Reference
`#include "mfdefs.h"`
`#include "emalloc.h"`
`#include <math.h>`

Go to the source code of this file.

## Functions

MICROFEATURE | NewMicroFeature ()
void | FreeMicroFeatures (MICROFEATURES MicroFeatures)

## Function Documentation

void FreeMicroFeatures | ( | MICROFEATURES | MicroFeatures | ) |

Definition at line 45 of file mfdefs.cpp.

{
/*
** Parameters:
** MicroFeatures list of micro-features to be freed
** Globals: none
** Operation:
** This routine deallocates all of the memory consumed by
** a list of micro-features.
** Return: none
** Exceptions: none
** History: 7/27/89, DSJ, Created.
*/
destroy_nodes(MicroFeatures, Efree);
} /* FreeMicroFeatures */

MICROFEATURE NewMicroFeature | ( |  | ) |

Include Files and Type Defines —————————————————————————- ---------------------------------------------------------------------------- Public Code —————————————————————————-

Definition at line 29 of file mfdefs.cpp.

{
/*
** Parameters: none
** Globals: none
** Operation:
** This routine allocates and returns a new micro-feature
** data structure.
** Return: New micro-feature.
** Exceptions: none
** History: 7/27/89, DSJ, Created.
*/
return ((MICROFEATURE) Emalloc (sizeof (MFBLOCK)));
} /* NewMicroFeature */